Subject: bug#21432: 25.0.50; file-notify-rm-watch (inotify) errors if watched dir is deleted

From: Michael Albinus <[email-masked]>
Date: Sun, 20 Sep 2015 19:23:56 +0200

Tassilo Horn <[email-masked]> writes:

> Right now, (at least) the inotify version of `file-notify-rm-watch'
> signals an error in case the given descriptor denotes a directory which
> has been deleted in the meantime.  If it denotes a file which has been
> deleted, no error is signaled.

I believe, everything what has been discussed in the course of this bug
has been fixed now. I've committed a final patch for the Tramp case, and
I have extended the test cases slightly with this patch. Inotify and
Tramp tests pass all test cases.

If there's no problem left for w32notify, I believe we can close this bug.

There is still something to do for the gfilenotify case, but this I
could do outside this report.

Best regards, Michael.